%ifnos darwin
%define __defattr %defattr(-,root,root)
%else
%define __defattr %defattr(-,root,wheel)
%endif

Name: rep-gtk
Version: 0.15
Release: 1a
Summary: GTK+ binding for librep Lisp environment
Requires: librep >= 0.13, gtk+ >= 1.2
Copyright: GPL
Group: Development/Languages
Source: http://download.sourceforge.net/rep-gtk/rep-gtk-%{version}.tar.gz
URL: http://rep-gtk.sourceforge.net/
# Packager: John Harper <john@dcs.warwick.ac.uk>
Packager: Keisuke Fujii <fujiik@jlcuxf.kek.jp>
Buildroot: %{_tmppath}/%{name}-root
%ifnos darwin
BuildPrereq: librep-devel libglade-devel gnome-libs-devel gdk-pixbuf-devel
%else
BuildPrereq: librep-devel
%endif

%description
This is a binding of GTK+ for the librep Lisp interpreter. It is based
on Marius Vollmer's guile-gtk package (initially version 0.15, updated
to 0.17), with a new glue-code generator.

%ifnos darwin
%package libglade
Summary: librep binding for the libglade library for loading user interfaces.
Group: Development/Languages
Requires: %{name} = 0.15, libglade

%description libglade
This is a binding of libglade for the librep Lisp interpreter. libglade
allows applications to dynamically load XML descriptions of GTK+ widget
hierarchies. These hierarchies may be created by the GLADE GUI builder.

%package gnome
Summary: GNOME binding for librep
Group: Development/Languages
Requires: %{name} = 0.15, gnome-libs, libglade

%description gnome
This is a binding of the various GNOME libraries for the librep Lisp
interpreter. It include support for the basic GNOME functions, the
GNOME user interface widgets, the GNOME Canvas architecture, and the
GNOME version of libglade.
%endif

%prep
%setup

%build
cp /usr/share/libtool/config.* .
%configure
%ifos darwin
make host_type=%{_target_platform} CC='gcc -traditional-cpp'
%else
make host_type=%{_target_platform}
%endif

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
make install \
    host_type=%{_target_platform} \
    installdir=$RPM_BUILD_ROOT%{_libexecdir}/rep/%{_target_platform}

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%{__defattr}
%doc README README.guile-gtk BUGS ChangeLog gtk.defs gdk.defs
%{_libexecdir}/rep/%{_target_platform}/gui/gtk
%{_libexecdir}/rep/%{_target_platform}/gui/gtk.so
%{_libexecdir}/rep/%{_target_platform}/gui/gtk.la
%{_libexecdir}/rep/%{_target_platform}/sgtk-types.so
%{_libexecdir}/rep/%{_target_platform}/sgtk-types.la
%{_libexecdir}/rep/%{_target_platform}/gtk.so
%{_libexecdir}/rep/%{_target_platform}/gtk.la

%ifnos darwin
%files libglade
%{__defattr}
%doc libglade.defs examples/test-libglade examples/simple.glade
%doc examples/rep-ui examples/rep-ui.glade
%{_libexecdir}/rep/%{_target_platform}/libglade.so*
%{_libexecdir}/rep/%{_target_platform}/libglade.la

%files gnome
%{__defattr}
%doc gnome*.defs gdk-pixbuf.defs libglade.defs
%doc examples/gnome-test examples/canvas-test
%{_libexecdir}/rep/%{_target_platform}/gui/gnome
%{_libexecdir}/rep/%{_target_platform}/gui/gnome.so
%{_libexecdir}/rep/%{_target_platform}/gui/gnome.la
%{_libexecdir}/rep/%{_target_platform}/gnome*.so
%{_libexecdir}/rep/%{_target_platform}/gnome*.la
%{_libexecdir}/rep/%{_target_platform}/libglade-gnome.so
%{_libexecdir}/rep/%{_target_platform}/libglade-gnome.la
%{_libexecdir}/rep/%{_target_platform}/gdk-pixbuf.so
%{_libexecdir}/rep/%{_target_platform}/gdk-pixbuf.la
%endif

%changelog
* Fri Jul 20 2001 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- 1st build on MacOS X

* Tue Jun 13 2000 John Harper <john@dcs.warwick.ac.uk>
- use better macros

* Fri Sep 17 1999 John Harper <john@dcs.warwick.ac.uk>
- specify installdir when installing

* Tue Sep 14 1999 Aron Griffis <agriffis@bigfoot.com>
- 0.4 spec file update: added buildroot
